Subject: Re: [bug#46215] [PATCH] Add yadm

From: Leo Prikler <[email-masked]>
Date: Sat, 06 Feb 2021 13:41:29 +0100

Tobias,

Am Samstag, den 06.02.2021, 12:46 +0100 schrieb Tobias Geerinckx-Rice:
> Leo, Ellis,
> 
> Leo Prikler 写道：
> > I'd like to say "use your best judgement", but you seem to be a 
> > little
> > too fixated on having a minimal package description (and putting
> > minimal effort into it).
> 
> That's uncalled for.  It's certainly not the impression I get.
Apologies.  To me it read like Ellis wanted to avoid making certain
substitutions for no apparent reason.  I understand, that there may at
times be valid concerns w.r.t. having something as input, but rather
than talk about specific concerns, we just went in circles over what
"optional" means.

> > For instance, when the package advertises encryption, while it 
> > is
> > technically optional, shipping it without gpg would be a grave 
> > oversight!
> 
> Well, that depends.  My own rule of thumb for ‘foo supports 
> encryption!’ is:
> 
>   $ gpg
>   bash: gpg: command not found
>   $ foo --encrypt
>   error: whoopsie: BUG in do_foo()+0x4f44!
>   <16 lines of barftrace>
>   error: warning: error: No such file or directory. (-ERROR)
>   $
> 
> => Make gpg an input, and quick.
> 
>   $ gpg
>   bash: gpg: command not found
>   $ foo --encrypt
>   error: gpg not found, please install it.
>   $
> 
> => This is totally fine, users who want it know what to do next.
Fair enough, but I'd still like to raise a point w.r.t. frequency.  If
most use cases were to somehow involve encryption, I still think it's
better to have it in by default rather than not.  Unlike Debian, we
don't really have (and probably don't want) a "recommended packages"
field in packages.

Regards,
Leo